<script>
  export let color = "secondary"
  export let icon = "bx-piano"
  let className = ""
  export { className as class }

  import Button from "sveltestrap/src/Button.svelte"
  import { clean } from "sveltestrap/src/utils.js"

  const props = clean($$props)
  $: classes = `btn-icon d-inline-flex align-items-center ${className}`
  $: iconColor = color === "primary" ? "info" : "secondary"
</script>

<Button class={classes} {...props}>
  <i class={`bx ${icon} bx-sm bg-gradient-${iconColor}`} />
  <slot />
</Button>
